Download it now!
Bug 76570 - Check-boxes and radio buttons are off-screen in the application window
Summary: Check-boxes and radio buttons are off-screen in the application window
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: a11y-Windows
  Show dependency treegraph
 
Reported: 2014-03-24 20:52 UTC by Shawn Johnson
Modified: 2019-08-30 21:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ReproOffScreenCheckbox250%DPI (393.40 KB, image/png)
2014-03-24 20:52 UTC, Shawn Johnson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Johnson 2014-03-24 20:52:25 UTC
Created attachment 96317 [details]
ReproOffScreenCheckbox250%DPI

Product name: LibreOffice version 4.2.1.1
Repro Environment: Windows 8.1 x86/x64
Description of the Problem: Checkboxes are off-screen in the application window, for check in/out with 250% DPI scaling

Detailed Steps to Reproduce the Problem:  
Prerequisites:

Steps to enable DPI scaling:
1. Press Windows+S or swipe from the right and select the Search charm
2. Type “Make text and other items larger or smaller” and select the result
3. Select “Let me choose one scaling level for all my displays”
4. Select “Custom sizing options”
5. Select the desired scaling
6. Sign out and sign back in to apply the scaling settings

Repro Steps:
1. Apply 250% DPI scaling
2. Install the application 
3. Launch the application from the desktop shortcut
4. Open Draw drawing in the home window
5. Goto File->Export as PDF
6. Select User Interface tab 
7. Observe

Actual Results: 
Checkboxes are off-screen in the application window, for check in/out with 250% DPI scaling.  Please see attached screenshots
Comment 1 Shawn Johnson 2014-03-24 20:55:10 UTC
Tester/Developer Notes:                                                                                                                                                                                                                                            
You can learn more about updating your application for High DPI on MSDN <http://msdn.microsoft.com/en-us/library/windows/desktop/dd464646(v=vs.85).aspx> and at the Channel 9 Build session Making Your Desktop App Shine <http://channel9.msdn.com/Events/Build/2013/4-184> on High-DPI Displays
Comment 2 Buovjaga 2015-01-04 08:47:42 UTC
Reproduced. Checkbox borders are not visible.

Lowering priority per flowchart: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Windows 8.1 32-bit. LibreOffice 4.4 RC1.
Comment 3 Arnaud LE CAM 2015-05-01 23:19:23 UTC
Reproduced : check-boxes and radio buttons aren't visible until they are pointed with the mouse cursor (after that, they became visible), even with different DPI scalings. Multiple dialog boxes are concerned.

Xubuntu 15.04 Vivid 64-bit / Locale : fr_FR
- Version: 4.4.2.2 / Build ID: 40m0(Build:2)
- Version: 4.4.3.2 / Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
- Version: 5.0.0.0.alpha1 / Build ID: 77a35997fa7cff387b5b135ff0c42155f80e9884
Comment 4 QA Administrators 2016-09-20 09:36:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920